// CHPegBoard.m -- View object for PegSolitaire.  Draws the board and pegs,
//                 and handles mouse events.
//
// Copyright (c) 2004 CocoaHeads.  All rights reserved.
// Released under the BSD license

#import "CHPegBoard.h"

@implementation CHPegBoard


- (void) drawRect: (NSRect) rect
{
    NSRect bounds = [self bounds];

    [[NSColor whiteColor] set];
    [NSBezierPath fillRect: bounds];

    // just center a string for now
    NSString *blah = @"PegBoard goes here";
    NSSize size = [blah sizeWithAttributes: nil];

    NSPoint startPoint;
    startPoint.x = bounds.origin.x + bounds.size.width / 2 - size.width / 2;
    startPoint.y = bounds.origin.y + bounds.size.height / 2 - size.height / 2;
    
    [blah drawAtPoint: startPoint
          withAttributes: nil];


    [[NSColor blackColor] set];
    [NSBezierPath strokeRect: bounds];

} // drawRect


@end // CHPegBoard

